Loading...
Searching...
No Matches
BALL::Composite::CompositeIteratorTraits Class Reference

`#include <BALL/CONCEPT/composite.h>`

## Public Member Functions

BALL_INLINE | CompositeIteratorTraits ()
| CompositeIteratorTraits (const Composite &composite)
| CompositeIteratorTraits (const CompositeIteratorTraits &traits)
BALL_INLINE | ~CompositeIteratorTraits ()
BALL_INLINE bool | isValid () const
BALL_INLINE CompositeIteratorTraits & | operator= (const CompositeIteratorTraits &traits)
BALL_INLINE Composite * | getContainer ()
BALL_INLINE const Composite * | getContainer () const
BALL_INLINE bool | isSingular () const
BALL_INLINE Composite * | getPosition ()
BALL_INLINE const Composite * | getPosition () const
BALL_INLINE void | setPosition (Composite *position)
BALL_INLINE Composite & | getData ()
BALL_INLINE const Composite & | getData () const
BALL_INLINE bool | operator== (const CompositeIteratorTraits &traits) const
BALL_INLINE bool | operator!= (const CompositeIteratorTraits &traits) const
BALL_INLINE void | invalidate ()
BALL_INLINE void | toBegin ()
BALL_INLINE bool | isBegin () const
BALL_INLINE void | toEnd ()
BALL_INLINE bool | isEnd () const
BALL_INLINE void | toRBegin ()
BALL_INLINE bool | isRBegin () const
BALL_INLINE void | toREnd ()
BALL_INLINE bool | isREnd () const
BALL_INLINE void | forward ()
BALL_INLINE void | backward ()

## Protected Member Functions

Composite * | findPreviousPosition (Composite *p) const
Composite * | findNextPosition (Composite *p) const

## Protected Attributes

Composite * | bound_
| A pointer to the "container" the iterator is bound to.
Composite * | position_
| The current iterator position.

## Detailed Description

Definition at line 1230 of file composite.h.

## Constructor & Destructor Documentation

## CompositeIteratorTraits() [1/3]

BALL_INLINE BALL::Composite::CompositeIteratorTraits::CompositeIteratorTraits | ( |  | ) |

inline

Definition at line 1234 of file composite.h.

## CompositeIteratorTraits() [2/3]

BALL::Composite::CompositeIteratorTraits::CompositeIteratorTraits | ( | const Composite & | composite | ) |

inline

Definition at line 1241 of file composite.h.

## CompositeIteratorTraits() [3/3]

BALL::Composite::CompositeIteratorTraits::CompositeIteratorTraits | ( | const CompositeIteratorTraits & | traits | ) |

inline

Definition at line 1248 of file composite.h.

## ~CompositeIteratorTraits()

BALL_INLINE BALL::Composite::CompositeIteratorTraits::~CompositeIteratorTraits | ( |  | ) |

inline

Definition at line 1255 of file composite.h.

## Member Function Documentation

## backward()

BALL_INLINE void BALL::Composite::CompositeIteratorTraits::backward | ( |  | ) |

inline

Definition at line 1349 of file composite.h.

## findNextPosition()

Composite * BALL::Composite::CompositeIteratorTraits::findNextPosition | ( | Composite * | p | ) | const

inline protected

Definition at line 1413 of file composite.h.

## findPreviousPosition()

Composite * BALL::Composite::CompositeIteratorTraits::findPreviousPosition | ( | Composite * | p | ) | const

inline protected

Definition at line 1362 of file composite.h.

## forward()

BALL_INLINE void BALL::Composite::CompositeIteratorTraits::forward | ( |  | ) |

inline

Definition at line 1344 of file composite.h.

## getContainer() [1/2]

BALL_INLINE Composite * BALL::Composite::CompositeIteratorTraits::getContainer | ( |  | ) |

inline

Definition at line 1269 of file composite.h.

## getContainer() [2/2]

BALL_INLINE const Composite * BALL::Composite::CompositeIteratorTraits::getContainer | ( |  | ) | const

inline

Definition at line 1271 of file composite.h.

## getData() [1/2]

BALL_INLINE Composite & BALL::Composite::CompositeIteratorTraits::getData | ( |  | ) |

inline

Definition at line 1281 of file composite.h.

## getData() [2/2]

BALL_INLINE const Composite & BALL::Composite::CompositeIteratorTraits::getData | ( |  | ) | const

inline

Definition at line 1283 of file composite.h.

## getPosition() [1/2]

BALL_INLINE Composite * BALL::Composite::CompositeIteratorTraits::getPosition | ( |  | ) |

inline

Definition at line 1275 of file composite.h.

## getPosition() [2/2]

BALL_INLINE const Composite * BALL::Composite::CompositeIteratorTraits::getPosition | ( |  | ) | const

inline

Definition at line 1277 of file composite.h.

## invalidate()

BALL_INLINE void BALL::Composite::CompositeIteratorTraits::invalidate | ( |  | ) |

inline

Definition at line 1295 of file composite.h.

## isBegin()

BALL_INLINE bool BALL::Composite::CompositeIteratorTraits::isBegin | ( |  | ) | const

inline

Definition at line 1306 of file composite.h.

## isEnd()

BALL_INLINE bool BALL::Composite::CompositeIteratorTraits::isEnd | ( |  | ) | const

inline

Definition at line 1316 of file composite.h.

## isRBegin()

BALL_INLINE bool BALL::Composite::CompositeIteratorTraits::isRBegin | ( |  | ) | const

inline

Definition at line 1329 of file composite.h.

## isREnd()

BALL_INLINE bool BALL::Composite::CompositeIteratorTraits::isREnd | ( |  | ) | const

inline

Definition at line 1339 of file composite.h.

## isSingular()

BALL_INLINE bool BALL::Composite::CompositeIteratorTraits::isSingular | ( |  | ) | const

inline

Definition at line 1273 of file composite.h.

## isValid()

BALL_INLINE bool BALL::Composite::CompositeIteratorTraits::isValid | ( |  | ) | const

inline

Definition at line 1257 of file composite.h.

## operator!=()

BALL_INLINE bool BALL::Composite::CompositeIteratorTraits::operator!= | ( | const CompositeIteratorTraits & | traits | ) | const

inline

Definition at line 1290 of file composite.h.

## operator=()

BALL_INLINE CompositeIteratorTraits & BALL::Composite::CompositeIteratorTraits::operator= | ( | const CompositeIteratorTraits & | traits | ) |

inline

Definition at line 1262 of file composite.h.

## operator==()

BALL_INLINE bool BALL::Composite::CompositeIteratorTraits::operator== | ( | const CompositeIteratorTraits & | traits | ) | const

inline

Definition at line 1285 of file composite.h.

## setPosition()

BALL_INLINE void BALL::Composite::CompositeIteratorTraits::setPosition | ( | Composite * | position | ) |

inline

Definition at line 1278 of file composite.h.

## toBegin()

BALL_INLINE void BALL::Composite::CompositeIteratorTraits::toBegin | ( |  | ) |

inline

Definition at line 1301 of file composite.h.

## toEnd()

BALL_INLINE void BALL::Composite::CompositeIteratorTraits::toEnd | ( |  | ) |

inline

Definition at line 1311 of file composite.h.

## toRBegin()

BALL_INLINE void BALL::Composite::CompositeIteratorTraits::toRBegin | ( |  | ) |

inline

Definition at line 1321 of file composite.h.

## toREnd()

BALL_INLINE void BALL::Composite::CompositeIteratorTraits::toREnd | ( |  | ) |

inline

Definition at line 1334 of file composite.h.

## Member Data Documentation

## bound_

Composite* BALL::Composite::CompositeIteratorTraits::bound_

protected

A pointer to the "container" the iterator is bound to.

Definition at line 1357 of file composite.h.

## position_

Composite* BALL::Composite::CompositeIteratorTraits::position_

protected

The current iterator position.

Definition at line 1360 of file composite.h.